statistics-0.16.3.0: A library of statistical types, data, and functions

Copyright | (c) 2009 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Statistics.Distribution.Gamma

Contents

- Constructors
- Accessors

Description

The gamma distribution. This is a continuous probability distribution with two parameters, k and ϑ. If k is integral, the distribution represents the sum of k independent exponentially distributed random variables, each of which has a mean of ϑ.

Synopsis

- data GammaDistribution
- gammaDistr :: Double -> Double -> GammaDistribution
- gammaDistrE :: Double -> Double -> Maybe GammaDistribution
- improperGammaDistr :: Double -> Double -> GammaDistribution
- improperGammaDistrE :: Double -> Double -> Maybe GammaDistribution
- gdShape :: GammaDistribution -> Double
- gdScale :: GammaDistribution -> Double

# Documentation

data GammaDistribution #

The gamma distribution.

#### Instances

Instances details

FromJSON GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods parseJSON :: Value -> Parser GammaDistribution # parseJSONList :: Value -> Parser [GammaDistribution] # omittedField :: Maybe GammaDistribution #
ToJSON GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods toJSON :: GammaDistribution -> Value # toEncoding :: GammaDistribution -> Encoding # toJSONList :: [GammaDistribution] -> Value # toEncodingList :: [GammaDistribution] -> Encoding # omitField :: GammaDistribution -> Bool #
Binary GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods put :: GammaDistribution -> Put # get :: Get GammaDistribution # putList :: [GammaDistribution] -> Put #
Data GammaDistribution # |

Instance details

Defined in Statistics.Distribution.Gamma

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> GammaDistribution -> c GammaDistribution #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c GammaDistribution #

toConstr :: GammaDistribution -> Constr #

dataTypeOf :: GammaDistribution -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c GammaDistribution) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c GammaDistribution) #

gmapT :: (forall b. Data b => b -> b) -> GammaDistribution -> GammaDistribution #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> GammaDistribution -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> GammaDistribution -> r #

gmapQ :: (forall d. Data d => d -> u) -> GammaDistribution -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> GammaDistribution -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> GammaDistribution -> m GammaDistribution #

Generic GammaDistribution # |

Instance details

Defined in Statistics.Distribution.Gamma

Associated Types

type Rep GammaDistribution |

Instance details

Defined in Statistics.Distribution.Gamma

type Rep GammaDistribution = D1 ('MetaData "GammaDistribution" "Statistics.Distribution.Gamma" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "GD" 'PrefixI 'True) (S1 ('MetaSel ('Just "gdShape") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "gdScale") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

Methods

from :: GammaDistribution -> Rep GammaDistribution x #

to :: Rep GammaDistribution x -> GammaDistribution #

Read GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods readsPrec :: Int -> ReadS GammaDistribution # readList :: ReadS [GammaDistribution] # readPrec :: ReadPrec GammaDistribution # readListPrec :: ReadPrec [GammaDistribution] #
Show GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods showsPrec :: Int -> GammaDistribution -> ShowS # show :: GammaDistribution -> String # showList :: [GammaDistribution] -> ShowS #
Eq GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods (==) :: GammaDistribution -> GammaDistribution -> Bool # (/=) :: GammaDistribution -> GammaDistribution -> Bool #
ContDistr GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods density :: GammaDistribution -> Double -> Double # logDensity :: GammaDistribution -> Double -> Double # quantile :: GammaDistribution -> Double -> Double # complQuantile :: GammaDistribution -> Double -> Double #
ContGen GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods genContVar :: StatefulGen g m => GammaDistribution -> g -> m Double #
Distribution GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods cumulative :: GammaDistribution -> Double -> Double # complCumulative :: GammaDistribution -> Double -> Double #
MaybeEntropy GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeEntropy :: GammaDistribution -> Maybe Double #
MaybeMean GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeMean :: GammaDistribution -> Maybe Double #
MaybeVariance GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods maybeVariance :: GammaDistribution -> Maybe Double # maybeStdDev :: GammaDistribution -> Maybe Double #
Mean GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods mean :: GammaDistribution -> Double #
Variance GammaDistribution # |
Instance details Defined in Statistics.Distribution.Gamma Methods variance :: GammaDistribution -> Double # stdDev :: GammaDistribution -> Double #
type Rep GammaDistribution # |

Instance details

Defined in Statistics.Distribution.Gamma

type Rep GammaDistribution = D1 ('MetaData "GammaDistribution" "Statistics.Distribution.Gamma" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "GD" 'PrefixI 'True) (S1 ('MetaSel ('Just "gdShape") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "gdScale") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

# Constructors

gammaDistr #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

gammaDistrE #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> Maybe GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

improperGammaDistr #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be non-negative.

improperGammaDistrE #

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> Maybe GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be non-negative.

# Accessors

gdShape :: GammaDistribution -> Double #

Shape parameter, k.

gdScale :: GammaDistribution -> Double #

Scale parameter, ϑ.